LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Namespaces | Functions
Map.hxx File Reference
`#include <uno/mapping.hxx>`

Go to the source code of this file.

## Namespaces
| cppu

## Functions
template<class T >
T * | cppu::mapOut (T *pT, cssu::Environment const &outerEnv)
| Helpers for mapping objects relative to the current environment. More...
template<class T >
T * | cppu::mapIn (T *pT, cssu::Environment const &outerEnv)
| Maps an object from an outer Environment to the current, returns mapped object. More...
void | cppu::mapOutAny (cssu::Any const &any, cssu::Any *res, cssu::Environment const &outerEnv)
| Maps an any from the current to an outer Environment, fills passed any. More...
void | cppu::mapInAny (cssu::Any const &any, cssu::Any *res, cssu::Environment const &outerEnv)
| Maps an any from an outer Environment to the current, fills passed any. More...